# Update shipping price & data

Endpoint to set shipping price & data

Endpoint: PUT /api/shipping-request/{shippingRequestCode}/{shippingGuid}
Version: 1.0.0
Security: shoptetAccessToken, shoptetPrivateApiToken

## Path parameters:

  - `shippingRequestCode` (string, required)
    Shipping request code of cart
    Example: "0389fc7dd97584790e5ad49010db9c4a"

  - `shippingGuid` (string, required)
    Shipping method based on delivery
    Example: "ecb3e399-2f57-11eb-8853-0800275177b9"

## Header parameters:

  - `Content-Type` (string, required)

## Request fields (application/json):

  - `data` (object, required)

  - `data.description` (string)
    description of the shipping request.

  - `data.additionalText` (string,null)
    additional information about the shipping request. (can be null)

  - `data.price` (object,null)

  - `data.price.priceWithVat` (string)
    Price of delivery with VAT (this or priceWithoutVat must be filled).

  - `data.price.priceWithoutVat` (string)
    Price of delivery without VAT (this or priceWithVat must be filled).

  - `data.price.vatRate` (string)
    VAT rate of delivery.

  - `data.currency` (string,null)
    currency code. List of available currencies within the e-shop can be found in endpoint GET /api/eshop.

  - `data.expires` (string,null, required)
    Time indicates availability of chosen delivery. Deprecation of required timezone part of datetime, and will be removed in the future

  - `data.deliveryAddress` (object)

  - `data.deliveryAddress.fullName` (string,null)
    name of purchaser (or null)

  - `data.deliveryAddress.company` (string,null)
    name of purchaser''s company (or null)

  - `data.deliveryAddress.street` (string,null)
    street of purchaser (or null)

  - `data.deliveryAddress.houseNumber` (string,null)
    street number (or null)

  - `data.deliveryAddress.city` (string,null)
    city/town (village) (or null)

  - `data.deliveryAddress.district` (string,null)
    county (or null)

  - `data.deliveryAddress.additional` (string,null)
    additional address information (or null)

  - `data.deliveryAddress.zip` (string,null)
    ZIP or postal code (or null)

  - `data.deliveryAddress.countryCode` (string,null)
    tree-character ISO country code (ISO 4217)

  - `data.deliveryAddress.regionName` (string,null)
    region name (or null)

  - `data.deliveryAddress.regionShortcut` (string,null)
    region abbreviation (or null)

  - `data.trackingNumber` (string, required)
    Tracking number for see status of delivery.

  - `data.branchId` (string,null)
    Identification of selected pickup point.

  - `data.branchName` (string,null)
    Name of selected pickup point.

## Response 200 fields (application/json):

  - `data` (object, required)

  - `data.verificationCode` (string, required)
    VerificationCode of shipping to be used in JS

  - `errors` (array,null, required)

  - `errors.errorCode` (string, required)
    Short text error identification

  - `errors.message` (string, required)
    Descriptive error message

  - `errors.instance` (string, required)
    Identification of the entity referenced

## Response 404 fields (application/json):

  - `data` (object,null)

  - `errors` (array,null)

  - `errors.errorCode` (string, required)
    Short text error identification

  - `errors.message` (string, required)
    Descriptive error message

  - `errors.instance` (string, required)
    Identification of the entity referenced

## Response 408 fields (application/json):

  - `data` (object,null)

  - `errors` (array,null)

  - `errors.errorCode` (string, required)
    Short text error identification

  - `errors.message` (string, required)
    Descriptive error message

  - `errors.instance` (string, required)
    Identification of the entity referenced


